File=/proc/diskstats

# Expected format:
#major minor hdc (reads issued) (reads merged) (sectors read) (milliseconds reading) (writes completed) (writes merged) (sectors written) (milliseconds spent writing) (active io requests) (milliseconds spent in io) (weighted milliseconds spent in io)
#   ..    .. hdc1 (reads issued) (sectors read) (writes issued) (sectors written)
#   ..    .. hda ...
#   ..    .. sda ...
#   ..    .. sda1 ...
#   ..    .. sda2 ...
#   ..    .. sdb ...
#   ..    .. sdb1 ...

Patterns=1

# The following pattern is intended to be able to parse disk stats from the CCISS RAID Driver.
# Support for this driver has not completed compatibility testing, and is thus disabled.
# See support issue WPL-540 for further information
#Pattern1.Pattern=^\\s*\\d+\\s+\\d+\\s+(?:[hs]d\\p{Alpha}|cciss/c\\dd\\d+)\\s+(\\d+)(?:\\s+\\d+){3}\\s+(\\d+)(?:\\s+\\d+){3}\\s+(\\d+)\\s+(\\d+)\\s+(\\d+)

# This pattern supports reading performance information from ATA, SATA, and SCSI disks. When enabling
# the CCISS pattern above, this pattern should be commented out.
Pattern1.Pattern=^\\s*\\d+\\s+\\d+\\s+[hs]d\\p{Alpha}\\s+(\\d+)(?:\\s+\\d+){3}\\s+(\\d+)(?:\\s+\\d+){3}\\s+(\\d+)\\s+(\\d+)\\s+(\\d+)

Pattern1.Accumulating=true
Pattern1.Counters=DiskReads, DiskWrites, DiskIoQueueLength, DiskMillisecondsInIo, DiskWeightedMillisecondsInIo
Pattern1.Counter.DiskIoQueueLength.UseDifference=false
